<?

/*
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~ KERPE.RU CMS 1.0                         ~
~ Официальный сайт движка: http://kerpe.ru ~
~ Автор: Kerpe (icq: 4566698)              ~
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

include 'connect.php';

//Только для авторизованных
if($u['id']){
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   }
}

//Если никто не выбрался
if(empty($user['id'])){
   if($u['id']){
   $id = $u['id'];
   $req = mysql_query("SELECT * FROM `users` WHERE `id` = '".$u['id']."' LIMIT 1");
   $user = mysql_fetch_assoc($req);
   } else {
   header ("Location: index.php");
   exit;
   }
}

if($id == $u['id']) $zag = 'Моя статистика';
else $zag = 'Статистика <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | '.$zag.'';
include 'head.php';

//Подзаголовок
echo '<div class="title"><img src= "img/stat.gif"> '.$zag.'</div>';

echo '<div class="main_menu">';

   //Скрываем информацию **************************************************
   //if($user['id'] != $u['id'] and $user['priv_anketa']){
      //Друзьям
      //if($user['priv_anketa'] == 1) {
         //if($myfriend) $access = true; else$access = false;
      //}
      //Только себе
      //if($user['priv_anketa'] == 2) {
      //$access = false;
      //} 
   //} else { $access = true; }
   
   //if($access == true){
echo 'Сообщений в беседке: <b>'.$user['stat_arbour'].'</b><hr>';
echo 'Сообщений на стенах: <b>'.$user['stat_guestbook'].'</b><hr>';
echo 'Сообщений в чате: <b>'.$user['stat_chat'].'</b><hr>';
echo 'Тем в форуме: <b>'.$user['stat_forum_themes'].'</b><hr>';
echo 'Сообщений в форуме: <b>'.$user['stat_forum_messages'].'</b><hr>';
echo 'Провел на сайте: ';
$time = $user['anketa_alltime'];
	  $chas=intval($time/3600);
      if($chas>0){ 
         $chas = $chas.' ч.';
	     $time=$time-($chas*3600);
      } else {
         $chas = '';
      }
      $min=intval($time/60);
      if($min>0){ 
         $min = $min.' м.';
	     $time=$time-($min*60);
      } else {
         $min = '';
      }
      $sek =  $time.' с.';
	  echo '<b>'.$chas.' '.$min.' '.$sek.'</b><br>';
	  
	  
   //} else {
   //echo '<div class = "action"> Пользователь ограничивает круг лиц, которые могут просматривать эту информацию. </div>';
   //}
   
echo '</div>';
include 'foot.php';


} else {
header ("Location: index.php");
}

?>